summaryrefslogtreecommitdiffstats
path: root/ci/deploy
diff options
context:
space:
mode:
authorAlex Yang <yangyang1@zte.com.cn>2017-02-22 16:57:37 +0800
committerAlex Yang <yangyang1@zte.com.cn>2017-02-22 16:57:37 +0800
commitcecb07ffac55ed186389557140f3b6f44806b0a4 (patch)
treed4bb935fb4ca7865aa52669265fee03e294eae21 /ci/deploy
parent56473c5c7f537b719a3b6c96067a72ac3569955a (diff)
Add executable attribute to opnfv bin file
1. Add executable attribute to the build-output bin file 2. Determine whether the bin file exists and is excutable before deployment Change-Id: I95b43c9efacfbd47a5f570dac793c0a8d3fe9bbb Signed-off-by: Alex Yang <yangyang1@zte.com.cn>
Diffstat (limited to 'ci/deploy')
-rwxr-xr-xci/deploy/deploy.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index e68368a6..af044f42 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -179,6 +179,11 @@ if [ $DRY_RUN -eq 1 ]; then
exit 1
fi
+if [ ! -x ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin does not exist in WORKSPACE or is not executable, exit."
+ exit 1
+fi
+
test -d ${VM_STORAGE} || mkdir -p ${VM_STORAGE}
function create_node